Subject: bug#49509: libsigsegv fails to build on emulated aarch64 [core-updates]

From: Ludovic Courtès <[email-masked]>
Date: Thu, 30 Sep 2021 22:20:19 +0200

Hi!

Sarah Morgensen <[email-masked]> skribis:

> Configuring with "--disable-stackvma" seems to fix this.  Doing this
> makes libsigsegv use a different heuristic for determining if a SIGSEGV
> was a stack overflow.  I don't think it should impact functionality.
> Perhaps just apply that to aarch64 until there's a proper fix?

Sounds like a good interim measure, for aarch64 and powerpc at least as
Efraim writes.

If you can come up with a patch, we could apply it in the upcoming
rebuild.

Thanks,
Ludo’.